package main

import (
	"git.insit.tech/psa/rtsp_reader-writer/writer/internal/config"
	"git.insit.tech/psa/rtsp_reader-writer/writer/internal/ingest/rtsp"
	logger "git.insit.tech/psa/rtsp_reader-writer/writer/internal/log"
	"git.insit.tech/psa/rtsp_reader-writer/writer/internal/metrics"
)

func main() {
	go metrics.Metrics()
	logger.StartMainLogger(config.Local, "writer")

	rtsp.StartWriter()

	select {}
}
